producers
Returns forecast data for a producer contract.
Returns forecasted energy production data for the producer’s plant over the specified time period. This endpoint provides predicted electricity generation values in Watt-hours (Wh) at 15-minute intervals, helping producers anticipate their expected energy production.
GET
/
v3
/
producers
/
{userID}
/
contracts
/
{contractID}
/
forecast
/
Returns forecast data for a producer contract.
curl --request GET \
--url https://api.lumenaza.de/v3/producers/{userID}/contracts/{contractID}/forecast/import requests
url = "https://api.lumenaza.de/v3/producers/{userID}/contracts/{contractID}/forecast/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.lumenaza.de/v3/producers/{userID}/contracts/{contractID}/forecast/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"start_time": "2024-06-26T00:00:00Z",
"end_time": "2024-06-26T00:15:00Z",
"forecast_value": 500
}
]{
"start": [
"This field is required."
]
}{
"detail": "<string>"
}Query Parameters
End date time of the requested time period in UTC (excluded). Needs to satisfy end <= start.
Start date time of the requested time period in UTC (included).
⌘I
Returns forecast data for a producer contract.

